﻿using System;

namespace HyperCube.Models
{
    public enum Role { Admin = 0, Verifier, User }

    public class AccountModel
    {
        /// <summary>
        /// Internal ID
        /// </summary>
        public uint ID { get; set; }
        /// <summary>
        /// ASP Identity ID
        /// </summary>
        public string UUID { get; set; }
        public string Name { get; set; }
        public string Email { get; set; }
        public Role AccRole { get; set; }

        public AccountModel()
        {
        }
    }
}
